# Gimp.ConfigWriter

    const Gimp = imports.gi.Gimp;

    let configWriter = new Gimp.ConfigWriter(fd: Number(gint));

Functions for writing config info to a file for libgimpconfig.

## Constructors

- Gimp.ConfigWriter.new_from_fd
- Gimp.ConfigWriter.new_from_file
- Gimp.ConfigWriter.new_from_stream
- Gimp.ConfigWriter.new_from_string

## Methods

- Gimp.ConfigWriter.prototype.close
- Gimp.ConfigWriter.prototype.comment
- Gimp.ConfigWriter.prototype.comment_mode
- Gimp.ConfigWriter.prototype.data
- Gimp.ConfigWriter.prototype.finish
- Gimp.ConfigWriter.prototype.identifier
- Gimp.ConfigWriter.prototype.linefeed
- Gimp.ConfigWriter.prototype.open
- Gimp.ConfigWriter.prototype.print
- Gimp.ConfigWriter.prototype.ref
- Gimp.ConfigWriter.prototype.revert
- Gimp.ConfigWriter.prototype.string
- Gimp.ConfigWriter.prototype.unref